<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Teléfono</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
         <p:growl id="mensaje" />
        <h:form id="formTelefono"> 
            <p:panel id="basic" header="Teléfono" style="margin-bottom:20px"> 
                <h:panelGrid columns="2"> 
                    <p:outputLabel value="Persona"/>
                    <p:selectOneMenu value="#{telefonoController.persona.codigo}">
                        <f:selectItem itemLabel="Seleccione Persona     " itemValue="" />
                        <f:selectItems value="#{personaController.lista}" var="persona" itemLabel="#{persona.nombres}" itemValue="#{persona.codigo}"/>
                    </p:selectOneMenu>

                    <p:outputLabel value="Número"/>
                    <p:inputText value="#{telefonoController.telefono.numero}"/>

                    <p:commandButton value="Listar" actionListener="#{telefonoController.listar()}" update=":listatabla"/>
                    <p:commandButton value="Enviar" actionListener="#{telefonoController.guardar()}" update="formTelefono,:mensaje"/>
                </h:panelGrid>
            </p:panel>
        </h:form>   

        <h:form id="listatabla">
          
                <p:dataTable  value="#{telefonoController.lista}" var="ver" paginator="true" rows="5" reflow="true" style="margin-top:2px">
                     <f:facet name="header">
                        Listado de Teléfonos
                    </f:facet>
                    <p:column headerText="Codigo">
                        <p:outputLabel value="#{ver.codigo}" />
                    </p:column>
                    <p:column headerText="Persona">
                        <p:outputLabel value="#{ver.codigo_persona.nombres}" />
                    </p:column> 
                    <p:column headerText="Numero">
                        <p:outputLabel value="#{ver.numero}" />
                    </p:column>

                   <p:column headerText="Modificar">
                    <p:commandButton value="Modificar" actionListener="#{telefonoController.leerId(ver)}" update=":dia" oncomplete="PF('w').show();" />
                </p:column>
                <p:column headerText="Eliminar">
                    <p:commandButton value="Eliminar" actionListener="#{telefonoController.eliminar(ver)}" immediate="true" update=":listatabla,:mensaje" />
                </p:column>
                </p:dataTable>
        </h:form>


        <p:dialog id="dia" widgetVar="w" header="Datos">
            <h:form>
                <p:outputLabel value="Persona"/>
                <p:selectOneMenu value="#{telefonoController.persona.codigo}">
                    <f:selectItem itemLabel="Seleccione Persona     " itemValue="" />
                    <f:selectItems value="#{personaController.lista}" var="persona" itemLabel="#{persona.nombres}" itemValue="#{persona.codigo}"/>
                </p:selectOneMenu>

                <p:outputLabel value="Número"/>
                <p:inputText value="#{telefonoController.telefono.numero}"/>



                <p:commandButton value="Modificar" actionListener="#{telefonoController.modificar()}" oncomplete="PF('w').hide ();" update=":listatabla,:mensaje"/> 
                <p:commandButton value="Cancelar" oncomplete="PF('w').hide();" update=":listatabla" immediate="true"/>
            </h:form>
        </p:dialog>



    </h:body>
</html>